[SciPy-User] test issues with 0.10

Ralf Gommers ralf.gommers@googlemail....
Sat Nov 19 08:19:12 CST 2011


On Tue, Nov 15, 2011 at 8:18 AM, Jean-Baptiste Marquette <marquett@iap.fr>wrote:

>
> Le 14 nov. 2011 à 20:54, Ralf Gommers a écrit :
>
> I've run nosetests on my Mac (64-bit 10.7.2 build on EPD) which fails on
>> the following test:
>>
>> test_definition (test_basic.TestDoubleIFFT) ... FAIL
>> test_definition_real (test_basic.TestDoubleIFFT) ... ok
>> test_djbfft (test_basic.TestDoubleIFFT) ... python(60968) malloc: ***
>> error for object 0x105435b58: incorrect checksum for freed object - object
>> was probably modified after being freed.
>> *** set a breakpoint in malloc_error_break to debug
>> Abort trap: 6
>>
>> The exact same issue was just reported on scipy-user, thread "test issues
> with 0.10". Can you please move the follow-up over there?
>
> What compilers did you use? And do you know if EPD was built with the same
> compilers?
>
>
> Hi Ralf,
>
> My compiler is that coming with the latest version of Xcode:
>
> macprojb:workdir marquett$ gcc -v
> Using built-in specs.
> Target: i686-apple-darwin11
> Configured with:
> /private/var/tmp/llvmgcc42/llvmgcc42-2336.1~1/src/configure
> --disable-checking --enable-werror --prefix=/Developer/usr/llvm-gcc-4.2
> --mandir=/share/man --enable-languages=c,objc,c++,obj-c++
> --program-prefix=llvm- --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/
> --with-slibdir=/usr/lib --build=i686-apple-darwin11
> --enable-llvm=/private/var/tmp/llvmgcc42/llvmgcc42-2336.1~1/dst-llvmCore/Developer/usr/local
> --program-prefix=i686-apple-darwin11- --host=x86_64-apple-darwin11
> --target=i686-apple-darwin11 --with-gxx-include-dir=/usr/include/c++/4.2.1
> Thread model: posix
> gcc version 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2336.1.00)
>
> The default compiler on OS X 10.7 is giving problems, I don't think I've
seen a report of someone using it successfully yet. You should switch to
the normal (non-LLVM) gcc, which is also available by default on 10.7.


> gfortran comes from the HPC site:
>
> HPC compilers are also known to be problematic. Please use the one that's
linked to on http://scipy.org/Installing_SciPy/Mac_OS_X

Cheers,
Ralf


> macprojb:workdir marquett$ gfortran -v
> Utilisation des specs internes.
> COLLECT_GCC=gfortran
>
> COLLECT_LTO_WRAPPER=/usr/local/libexec/gcc/x86_64-apple-darwin10.7.0/4.6.0/lto-wrapper
> Target: x86_64-apple-darwin10.7.0
> Configuré avec: ../gcc-4.6.0/configure --enable-languages=fortran
> Modèle de thread: posix
> gcc version 4.6.0 (GCC)
>
> Unfortunately I don't know very much about those used for EPD. I just got
> the 64-bit binary from the Enthought academic link.
>
> HTH,
> Cheers
> Jean-Baptiste
>
> _______________________________________________
> SciPy-User mailing list
> SciPy-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/scipy-user
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-user/attachments/20111119/a87cbdb3/attachment.html 


More information about the SciPy-User mailing list